Форум русскоязычного сообщества Ubuntu


Автор Тема: Ошибка  (Прочитано 1567 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Allcoments

  • Автор темы
  • Участник
  • *
  • Сообщений: 140
    • Просмотр профиля
Ошибка
« : 18 Сентябрь 2008, 22:20:16 »
apt-get install vlc
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Reading state information... Готово                       
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.

Так как вы просили выполнить только одну операцию, то вероятнее всего, что
пакет просто не может быть установлен из-за ошибок в самом пакете.
Необходимо послать отчёт об этой ошибке.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
  vlc: Зависит: vlc-nox (= 0.8.6.release.c-0ubuntu5.1) но он не будет установлен
       Зависит: libvcdinfo0 (> 0.7.23) но он не будет установлен
       Зависит: libwxbase2.6-0 (>= 2.6.3.2.1.5ubuntu12) но он не будет установлен
       Зависит: libwxgtk2.6-0 (>= 2.6.3.2.1.5ubuntu12) но он не будет установлен
E: Сломанные пакеты

КАк решить проблему?

Оффлайн gantellus

  • Старожил
  • *
  • Сообщений: 1276
    • Просмотр профиля
Re: Ошибка
« Ответ #1 : 18 Сентябрь 2008, 22:25:10 »
можно попробовать sudo apt-get install -f

или sudo dpkg -configure -a

и проверить, все ли репозитории нужные подключены и работают
Придумайте ещё более дружественный интерфейс, и мир породит ещё более тупого юзера (с)
С2Duo 2.4 Ghz, Geforce 8800, Maya 44 PCI

Оффлайн Allcoments

  • Автор темы
  • Участник
  • *
  • Сообщений: 140
    • Просмотр профиля
Re: Ошибка
« Ответ #2 : 18 Сентябрь 2008, 22:37:11 »
sudo dpkg -configure -a
dpkg: неизвестный параметр -o

Чтобы получить справку об установке и удалении пакетов, введите dpkg --help
  • ;

Программа `dselect' или `aptitude' предоставляет дружественный интерфейс
управления пакетами;
Чтобы получить список значений флагов отладки dpkg, введите dpkg -Dhelp;
Чтобы получить информацию об игнорировании проблем, введите dpkg --force-help;
Чтобы получить справку об работе с файлами *.deb, введите dpkg-deb --help;
Чтобы получить информацию об авторских правах и отсутствии гарантий (GNU GPL),
введите dpkg --license
  • .


Параметры, отмеченные
  • , выводят большое количество информации.

Объедините их в конвейер с программами `less' или `more'!

sudo apt-get install -f
Чтение списков пакетов... Готово
Построение дерева зависимостей       
Reading state information... Готово                       
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 13 пакетов не обновлено.

Оффлайн SIO

  • Активист
  • *
  • Сообщений: 558
    • Просмотр профиля
Re: Ошибка
« Ответ #3 : 18 Сентябрь 2008, 22:37:25 »
aptitude -> examine solutions [!]

Оффлайн Allcoments

  • Автор темы
  • Участник
  • *
  • Сообщений: 140
    • Просмотр профиля
Re: Ошибка
« Ответ #4 : 18 Сентябрь 2008, 22:40:22 »
а если по руски то как это будет выгледить?)

Оффлайн SIO

  • Активист
  • *
  • Сообщений: 558
    • Просмотр профиля
Re: Ошибка
« Ответ #5 : 18 Сентябрь 2008, 22:51:20 »
Ну там снизу красная полоска. Нажми Shift+1 и откроется таб "разруливания твоих косяков". Хз как оно по-русски

Оффлайн gantellus

  • Старожил
  • *
  • Сообщений: 1276
    • Просмотр профиля
Re: Ошибка
« Ответ #6 : 18 Сентябрь 2008, 22:54:35 »
хм, может команда выглядит как sudo dpkg --configure -a :)
Придумайте ещё более дружественный интерфейс, и мир породит ещё более тупого юзера (с)
С2Duo 2.4 Ghz, Geforce 8800, Maya 44 PCI

Оффлайн Allcoments

  • Автор темы
  • Участник
  • *
  • Сообщений: 140
    • Просмотр профиля
Re: Ошибка
« Ответ #7 : 18 Сентябрь 2008, 23:31:56 »
хм, может команда выглядит как sudo dpkg --configure -a :)
писал как то раньше
Всеравно так и есть. Проблема не решена.((

Оффлайн SIO

  • Активист
  • *
  • Сообщений: 558
    • Просмотр профиля
Re: Ошибка
« Ответ #8 : 18 Сентябрь 2008, 23:35:16 »
iatakoi, что с аптитудой? Если сложно разобраться, могу помочь по IM - JID у меня в профиле

Оффлайн Allcoments

  • Автор темы
  • Участник
  • *
  • Сообщений: 140
    • Просмотр профиля
Re: Ошибка
« Ответ #9 : 19 Сентябрь 2008, 22:32:12 »
ошибка все так и есть
Пакеты, имеющие неудовлетворённые зависимости:
  gnome-commander: Зависит: libc6 (>= 2.7-1) но 2.6.1-1ubuntu10 будет установлен
                   Зависит: libcairo2 (>= 1.5.12) но 1.4.10-1ubuntu4.4 будет установлен
                   Зависит: libexiv2-2 но он не может быть установлен
                   Зависит: libglib2.0-0 (>= 2.16.0) но 2.14.1-1ubuntu1 будет установлен
                   Зависит: liborbit2 (>= 1:2.14.10) но 1:2.14.9-0ubuntu1 будет установлен
                   Зависит: libpango1.0-0 (>= 1.20.0) но 1.18.3-0ubuntu1 будет установлен
                   Зависит: libpixman-1-0 (>= 0.9.4-2) но он не будет установлен
E: Сломанные пакеты

tartan

  • Гость
Re: Ошибка
« Ответ #10 : 19 Сентябрь 2008, 22:45:36 »
System>Administration>Software Sources - галки где стоят?

Оффлайн Allcoments

  • Автор темы
  • Участник
  • *
  • Сообщений: 140
    • Просмотр профиля
Re: Ошибка
« Ответ #11 : 19 Сентябрь 2008, 22:59:12 »
Програмное обеспечение ubuntu
Загружаемые из интренета
Все кроме "Исходный код"
 ПО сторонних производителей
3 ссылки
 Обновления первые 2

tartan

  • Гость
Re: Ошибка
« Ответ #12 : 19 Сентябрь 2008, 23:05:27 »
Сожалею, но ХЗ. ((

Только что прогнал у себя - аллес арбайтен. Только что у меня в third party ни одной ссыли, но это как раз некритично, я думаю. ((

Может, если сильно надо, скачать пакеты с debian.org и установить? (Как пофиксить аптитюд, непонятно)

Оффлайн Allcoments

  • Автор темы
  • Участник
  • *
  • Сообщений: 140
    • Просмотр профиля
Re: Ошибка
« Ответ #13 : 19 Сентябрь 2008, 23:10:34 »
я уже не знаю что делать даже!(( еще и такая же проблема с кодеками не хочет ставить(
Может кто подскажет какой то название? :-[

Оффлайн Kwah

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 1442
  • Ubuntu 17.10
    • Просмотр профиля
Re: Ошибка
« Ответ #14 : 19 Сентябрь 2008, 23:13:05 »
Содержимое /etc/apt/sources.list - в студию!

 

Страница сгенерирована за 0.094 секунд. Запросов: 23.